# DisplayObject - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# DisplayObject Class

Defined in: `src/pixi/DisplayObject.js:5`
Module: PIXI

this is the base class for all objects that are rendered on the screen.

## Constructor

### `DisplayObject`

()

Defined in `src/pixi/DisplayObject.js:5`

- Index
- Methods
- Properties

## Item Index

### Methods

- autoDetectRenderer static
- click
- mousedown
- mouseout
- mouseover
- mouseup
- mouseupoutside
- setInteractive
- tap
- touchend
- touchendoutside
- touchstart

### Properties

- alpha
- buttonMode
- hitArea
- parent
- pivot
- position
- rotation
- scale
- stage
- visible

## Methods

### `autoDetectRenderer`

(

- `width`
- `height`
- `view`
- `transparent`

)
static

Defined in `src/pixi/utils/Detector.js:5`

This helper function will automatically detect which renderer you should be using. WebGL is the preferred renderer as it is a lot fastest. If webGL is not supported by the browser then this function will return a canvas renderer

#### Parameters:

- `width` Number

  the width of the renderers view

- `height` Number

  the height of the renderers view

- `view` Canvas

  the canvas to use as a view, optional

- `transparent` Boolean

  the transparency of the render view, default false

### `click`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:106`

A callback that is used when the users clicks on the displayObject with their mouse

#### Parameters:

- `interactionData` InteractionData

### `mousedown`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:112`

A callback that is used when the user clicks the mouse down over the sprite

#### Parameters:

- `interactionData` InteractionData

### `mouseout`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:138`

A callback that is used when the users mouse leaves the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseover`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:132`

A callback that is used when the users mouse rolls over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseup`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:118`

A callback that is used when the user releases the mouse that was over the displayObject for this callback to be fired the mouse must have been pressed down over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `mouseupoutside`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:125`

A callback that is used when the user releases the mouse that was over the displayObject but is no longer over the displayObject for this callback to be fired, The touch must have started over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `setInteractive`

(

- `interactive`

)

Defined in `src/pixi/DisplayObject.js:190`

Indicates if the sprite will have touch and mouse interactivity. It is false by default

#### Parameters:

- `interactive` Boolean

### `tap`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:149`

A callback that is used when the users taps on the sprite with their finger basically a touch version of click

#### Parameters:

- `interactionData` InteractionData

### `touchend`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:162`

A callback that is used when the user releases a touch over the displayObject

#### Parameters:

- `interactionData` InteractionData

### `touchendoutside`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:168`

A callback that is used when the user releases the touch that was over the displayObject for this callback to be fired, The touch must have started over the sprite

#### Parameters:

- `interactionData` InteractionData

### `touchstart`

(

- `interactionData`

)

Defined in `src/pixi/DisplayObject.js:156`

A callback that is used when the user touch's over the displayObject

#### Parameters:

- `interactionData` InteractionData

## Properties

### `alpha`

Number

Defined in `src/pixi/DisplayObject.js:40`

The opacity of the object.

### `buttonMode`

Boolean

Defined in `src/pixi/DisplayObject.js:95`

This is used to indicate if the displayObject should display a mouse hand cursor on rollover

### `hitArea`

Rectangle

Defined in `src/pixi/DisplayObject.js:69`

This is the defined area that will pick up mouse / touch events. It is null by default. Setting it is a neat way of optimising the hitTest function that the interactionManager will use (as it will not need to hit test all the children)

### `parent`

DisplayObjectContainer

Defined in `src/pixi/DisplayObject.js:55`

[read-only] The display object container that contains this display object.

### `pivot`

Point

Defined in `src/pixi/DisplayObject.js:26`

The pivot point of the displayObject that it rotates around

### `position`

Point

Defined in `src/pixi/DisplayObject.js:12`

The coordinate of the object relative to the local coordinates of the parent.

### `rotation`

Number

Defined in `src/pixi/DisplayObject.js:33`

The rotation of the object in radians.

### `scale`

Point

Defined in `src/pixi/DisplayObject.js:19`

The scale factor of the object.

### `stage`

Stage

Defined in `src/pixi/DisplayObject.js:62`

[read-only] The stage the display object is connected to, or undefined if it is not connected to the stage.

### `visible`

Boolean

Defined in `src/pixi/DisplayObject.js:47`

The visibility of the object.